<?php
/* 
    Plugin Name: Azbyka Tests
    Plugin URI: https://bogaiskov.ru
    Description: Выводит на экран произвольный тест с сайта "Богословие в тестах"
    Version: 1.1
    Author: VBog
    Author URI: https://bogaiskov.ru 
	License:     GPL2
*/

/*  Copyright 2016  Vadim Bogaiskov  (email: vadim.bogaiskov@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/*****************************************************************************************
	Блок загрузки плагина
	
******************************************************************************************/

// Запрет прямого запуска скрипта
if ( !defined('ABSPATH') ) {
	die( 'Sorry, you are not allowed to access this page directly.' ); 
}

define('AZBYKA_TESTS_VERSION', '1.1');

// Таблица стилей для плагина
function azbyka_tests_enqueue_frontend_styles () {
	wp_enqueue_style( "azbyka_tests_styles", plugins_url( '/azbyka_tests.css', plugin_basename(__FILE__) ), array() , AZBYKA_TESTS_VERSION  );
}
add_action( 'wp_enqueue_scripts' , 'azbyka_tests_enqueue_frontend_styles' );

// JS скрипт 
function azbyka_tests_enqueue_frontend_scripts () {
	wp_enqueue_script( 'azbyka_tests_proc', "https://azbyka.ru/test/azbyka_test.js", false, AZBYKA_TESTS_VERSION, false );
}	 
if ( !is_admin() ) {
	add_action( 'wp_enqueue_scripts' , 'azbyka_tests_enqueue_frontend_scripts' ); 
}
/*****************************************************************************************
	Шорт-коды
	Функции обработки шорт-кода
******************************************************************************************/
// Регистрируем шорт-код azbyka_test
	add_shortcode( 'azbyka_test', 'azbyka_tests_shortcode' );

//  [azbyka_test]
function azbyka_tests_shortcode() {
	$quote = "<script>azbyka_test();</script>";
	return "{$quote}";
}

